NPPPD-USERS(5)

NAME
npppd-users - user database file

SYNOPSIS
/etc/npppd/npppd-users

DESCRIPTION
The npppd-users file describes the various attributes of users. Refer to getcap(3) for a description of the file layout. Each entry in the database is used to describe one user. The record name is the username. The following attributes can be specified:
Name | Description
password |
User's password.
framed-ip-address |
IPv4 address to be assigned for the user.
framed-ip-network |
IPv4 netmask to be used for the user.
calling-number |
Calling phone number to check user's phone number.

EXAMPLES

    taro:\
        :password=taro's password:\
        :framed-ip-address=192.168.0.101:
    hana:\
        :password=hana's password:\
        :framed-ip-address=192.168.0.102:

SEE ALSO
getcap(3), npppd.conf(5), npppd(8)

BUGS
Colon (‘’): characters cannot be used in username or password.